Subject: Re: critical bit (5.2.3.1)

From: Hal Finney <[email-masked]>
Date: Wed, 30 Sep 1998 09:39:38 -0700

Even though that particular attack may not be a problem, you are right
that it seems illogical to set the critical bit on an unhashed packet.

Making a packet unhashed is saying that there are no security implications
if the packet is altered or removed.  But setting the critical bit means
that there are security implications if the packet is not understood.
Doing both at once means that you don't care if the packet is altered or
removed, but that it must be understood, which doesn't make much sense.

Hal